#if !defined(AFX_KEYPREDISTRIBTAB_H__D57C0EBD_2910_4FC2_BA16_98D45ED086A1__INCLUDED_)
#define AFX_KEYPREDISTRIBTAB_H__D57C0EBD_2910_4FC2_BA16_98D45ED086A1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// KeyPredistribTab.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CKeyPredistribTab dialog

class CKeyPredistribTab : public CDialog
{
// Construction
public:
	CKeyPredistribTab(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CKeyPredistribTab)
	enum { IDD = IDD_PREDISTRIB_TAB };
	CString	m_intersectSize;
	CString	m_keyPoolSize;
	CString	m_keyRingSize;
	BOOL	m_egScheme;
	BOOL	m_usePullAmplif;
	BOOL	m_usePushAmplif;
	CString	m_amplifRepeat;
	CString	m_maxComprNodes;
	BOOL	m_useLocalFOEBoost;
	CString	m_foeBoostCount;
	BOOL	m_foeBoostAllDirectNeigh;
	BOOL	m_notUseFOE;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CKeyPredistribTab)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

    int ComputeStatistics(BASIC_INIT_DATA* pBasicSettings);

    int TestFoe(BASIC_INIT_DATA* pBasicSettings); 
    static UINT CKeyPredistribTab::RunEvolveNodePick(LPVOID pParam);

public:
    int GetDlgData(BASIC_INIT_DATA* pBasicSettings);
    int SetDlgData(BASIC_INIT_DATA* pBasicSettings);


// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CKeyPredistribTab)
	afx_msg void OnDeploySensors();
	afx_msg void OnRecalculate();
	afx_msg void OnTestFoe();
	afx_msg void OnCalcShareProb();
    afx_msg void OnProbAuthentication();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
    BOOL m_assumeSecureLinks;
public:
    bool m_ringBitMask;
public:
    CString m_nodesInGroup;
public:
    BOOL m_ringAsBitMask;
public:
    CString m_minKeysCount;
public:
    CString m_numPickedNodes;
public:
    afx_msg void OnBnClickedGasNodepick();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_KEYPREDISTRIBTAB_H__D57C0EBD_2910_4FC2_BA16_98D45ED086A1__INCLUDED_)
