// GraphicTab.cpp : implementation file
//

#include "stdafx.h"
#include "SensorSim.h"
#include "GraphicTab.h"
#include "CommonFnc.h"

GRAPH_DATA	s3_graphic_data;

LRESULT CALLBACK S3GraphProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	SCROLLINFO      si;

	switch (message) 
	{	
	case WM_CREATE:
        CCommonFnc::Graph_WM_CREATE(&(s3_graphic_data), hWnd, &si); 

		break;
	case WM_LBUTTONDOWN:
/*		
		RECT            r;
		GetClientRect(pSACC->m_tabSampleProcess.m_hSampleWnd,&r);
		
        // SET HIGH RESOLUTION AREA TO CLICKED POSITION (CENTERED)     
        process_global_data.global_horizontal = (int) (LOWORD(lParam) * processOverview_global_data.resizeRatio + processOverview_global_data.global_horizontal - ((r.right - r.left) / 2) * process_global_data.resizeRatio); 
        // SET CORRECT SCROLL POSITION OF HIGH WINDOW
      	SetScrollPos(pSACC->m_tabSampleProcess.m_hSampleWnd,SB_HORZ,process_global_data.global_horizontal,TRUE);
        
      	InvalidateRect(pSACC->m_tabSampleProcess.m_hSampleWnd, NULL,TRUE);
/**/
		break;       
	case WM_RBUTTONDOWN:
		break;        	
	case WM_HSCROLL:
        CCommonFnc::Graph_WM_HSCROLL(&(s3_graphic_data), hWnd, &si, wParam, (int) s3_graphic_data.resizeRatio);
        break;
	case WM_PAINT:
        CCommonFnc::Graph_Plot(&s3_graphic_data, hWnd, &si);
		break;
	case WM_DESTROY:
		PostQuitMessage(0);
		break;
	default:
		return DefWindowProc(hWnd, message, wParam, lParam);
	}
	return 0;
}

ATOM RegisterClassS3Graph(HINSTANCE hInstance)
{
	WNDCLASSEX wcex;

	wcex.cbSize = sizeof(WNDCLASSEX); 
//	wcex.style			= CS_HREDRAW | CS_VREDRAW | WS_VISIBLE | WS_TABSTOP;
	wcex.style			= CS_HREDRAW | CS_VREDRAW;
	wcex.lpfnWndProc	= (WNDPROC)S3GraphProc;
	wcex.cbClsExtra		= 0;
	wcex.cbWndExtra		= 0;
	wcex.hInstance		= hInstance;
	wcex.hIcon			= LoadIcon(hInstance, (LPCTSTR)IDR_MAINFRAME);
	wcex.hCursor		= LoadCursor(NULL, IDC_ARROW);
	wcex.hbrBackground	= (HBRUSH)(COLOR_WINDOW+1);
	wcex.lpszMenuName	= NULL;
	wcex.lpszClassName	= "S3Graphic";
	wcex.hIconSm		= LoadIcon(wcex.hInstance, (LPCTSTR)IDR_MAINFRAME);

	return RegisterClassEx(&wcex);
}

// CGraphicTab dialog

IMPLEMENT_DYNAMIC(CGraphicTab, CDialog)

CGraphicTab::CGraphicTab(CWnd* pParent /*=NULL*/)
	: CDialog(CGraphicTab::IDD, pParent)
{

}

CGraphicTab::~CGraphicTab()
{
}

void CGraphicTab::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(CGraphicTab, CDialog)
END_MESSAGE_MAP()


// CGraphicTab message handlers
