#if !defined(AFX_KEYESTABLISHTAB_H__7669F789_859E_4453_A642_A2877DA45826__INCLUDED_)
#define AFX_KEYESTABLISHTAB_H__7669F789_859E_4453_A642_A2877DA45826__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// KeyEstablishTab.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CKeyEstablishTab dialog

class CKeyEstablishTab : public CDialog
{
// Construction
public:
	CKeyEstablishTab(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CKeyEstablishTab)
	enum { IDD = IDD_KEYESTABLISH_TAB };
	CString	m_batchPath;
	CString	m_batchRepeat;
	BOOL	m_saveAmplifImpact;
	BOOL	m_saveComprByDist;
	BOOL	m_saveComprByStat;
	BOOL	m_saveKeysDistrib;
	BOOL	m_saveSensorPos;
	BOOL	m_basicComprTest;
	CString	m_rangeFrom;
	CString	m_rangeStep;
	CString	m_rangeTo;
	BOOL	m_triangleNeighProp;
	BOOL	m_useKeyInfect;
	BOOL	m_bindBlackRatio;
	BOOL	m_saveComprByDens;
	BOOL	m_useMMD;
	BOOL	m_testQueueing;
	CString	m_note;
	BOOL	m_useFOE;
	BOOL	m_optimalPoolSize;
	//}}AFX_DATA

    bsl                 m_testQueue;
    BOOL                m_testQueueExit;
    DWORD               m_whatToSaveFlags;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CKeyEstablishTab)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

	virtual void OnCancel(void) {}
	virtual void OnOK(void) {}

    int ExecuteTestThread(BASIC_INIT_DATA* pBasicSettings, DWORD testType); 
    int ExecuteTestThread(DWORD testType); 

public:
    int GetDlgData(BASIC_INIT_DATA* pBasicSettings);
    int SetDlgData(BASIC_INIT_DATA* pBasicSettings);

    int TestQueue_Add(DWORD testType);
    int TestQueue_Add(BASIC_INIT_DATA* pBasicSettings);
    int TestQueue_Run();
    int TestQueue_Clear();
    int TestQueue_ExitAfterTests(BOOL bExit);
// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CKeyEstablishTab)
	afx_msg void OnBrowseBatchPath();
	afx_msg void OnExecuteFixedtest();
	afx_msg void OnExecuteVariablerangetests();
	afx_msg void OnStopCurrentOperations();
	afx_msg void OnExecuteVariableratiotests();
	afx_msg void OnExecuteVariablereceiveratiotests();
	afx_msg void OnExecuteVariabletotalbscounttest();
	afx_msg void OnExecuteVariableactivebscounttest();
	afx_msg void OnBatchQueueMng();
	afx_msg void OnSavedCharacteristics();
	afx_msg void OnExecuteVariableComprNodesTest();
	afx_msg void OnVariableWhiteNodesCount();
	afx_msg void OnVariablePoolsize();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
    afx_msg void OnBnClickedVariableDropcheckProb();
public:
    BOOL m_useNLeash;
public:
    afx_msg void OnBnClickedVariableComprnodesfractProb();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_KEYESTABLISHTAB_H__7669F789_859E_4453_A642_A2877DA45826__INCLUDED_)
