#if !defined(AFX_MESHTAB_H__4691E447_AC34_49F9_872E_FE26532D2091__INCLUDED_)
#define AFX_MESHTAB_H__4691E447_AC34_49F9_872E_FE26532D2091__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MeshTab.h : header file
//
#include "md5.h"
/////////////////////////////////////////////////////////////////////////////
// CMeshTab dialog




class CMeshTab : public CDialog
{
// Construction
public:
	CMeshTab(CWnd* pParent = NULL);   // standard constructor
	~CMeshTab();   // standard deconstructor

// Dialog Data
	//{{AFX_DATA(CMeshTab)
	enum { IDD = IDD_MESH_TAB };
	CString	m_pathLen;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMeshTab)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

    void CreateTestData(BYTE** set);

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CMeshTab)
	afx_msg void OnRandNeighTour();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
    afx_msg void OnBnClickedStartGarng();
public:
    
    int GetDlgData(BASIC_INIT_DATA* pBasicSettings);
    int SetDlgData(BASIC_INIT_DATA* pBasicSettings);
    
    
public:
    CString m_numLayers;
    CString m_numTestInputs;
    CString m_numFncInLayer;
    CString m_numFncOutLayer;
    
    CString m_algRounds;
    BOOL m_limitAlgRounds;
    BOOL m_fncNOP;
    BOOL m_fncOR;
    BOOL m_fncAND;
    BOOL m_fncXOR;
    BOOL m_fncNOR;
    BOOL m_fncNAND;
    BOOL m_fncROTL;
    BOOL m_fncROTR;
    BOOL m_fncSUM;
    BOOL m_fncSUBS;
    BOOL m_fncADD;
    BOOL m_fncMULT;
    BOOL m_fncDIV;
    BOOL m_fncCONST;   
    BOOL m_fncBSEL;
    int m_predictionType;
    int m_elemParticle;
    int m_testVectorGenerMethod;
    CString m_textInput;
    CString m_testVectorChangeGener;
    CString m_circuitInput;
    
public:
    afx_msg void OnBnClickedExecuteFromtext();
    afx_msg void OnBnClickedAllFnc();
    afx_msg void OnBnClickedNoFnc();
    afx_msg void OnBnClickedRadio1();
    afx_msg void OnBnClickedSoftInterrupt();
    afx_msg void OnBnClickedExecuteForInput();
    afx_msg void OnBnClickedDistinguisher();
    afx_msg void OnBnClickedCheck1();
    
    
public:
    BOOL m_sectorInputData;
public:
    BOOL m_splitTestVectors;
public:
    CString m_numBestPredictors;
public:
    BOOL m_limitLayerConnectors;
public:
    CString m_layerConnectors;
public:
	BOOL m_representBitsAsBytes;
public:
    CString m_numSelectorLayers;
public:
	afx_msg void OnBnClickedEacTest();
};


//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MESHTAB_H__4691E447_AC34_49F9_872E_FE26532D2091__INCLUDED_)
